Windows Media Stream Editor

Using Microsoft® Windows Media™ Stream Editor, you can split or combine streams in existing Windows Media files to create files. This tool is useful when you have Windows Media files that were created with multiple bit rates. For example, if you have a Windows Media file containing two bit rates (audio and video streams at 100 kilobits per second (Kbps) and 500 Kbps), you can create a Windows Media file that contains only the 100 Kbps stream.

You can also use the tool to combine streams from multiple input files. For example, if you have a Windows Media file with two audio streams and two video streams, and you want to replace the audio streams, you can create a file that includes the original two video streams combined with audio streams from other Windows Media files.

The following table provides examples of how you might split streams within a file to create additional files.

Input file | Output file 1 | Output file 2 | Output file 3
Bit rate 1 | Bit rate 1 | Bit rate 2 | Bit rate 1
Audio A | Audio A | Audio B | Audio A
Video A | Video A | Video B | Video B
Bit rate 2 |  |  | Bit rate 2
Audio B |  |  | Audio B
Video B |  |  | Video A

© 2002 Microsoft Corporation. All rights reserved.


Accessibility for people with disabilities

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features, products, and services that make Microsoft Windows Media Stream Editor more accessible for people with disabilities:

  • Accessibility features in Windows Media Stream Editor
  • Accessibility features in Windows Media Stream Editor Help
  • Accessible products and services from Microsoft

Note image Note

  • The information in this section applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the products and services described in this section are available in your area. Accessibility information is available in other select languages, including Japanese and French. For more information, see the see the Microsoft Web site.


Accessibility features in Windows Media Stream Editor

In addition to accessibility features and utilities in Windows, the following feature makes Windows Media Stream Editor more accessible for people with disabilities:

  • Using keyboard shortcuts

Related topics

  • Accessibility for people with disabilities


Using keyboard shortcuts

By using the following keyboard shortcuts in Windows Media Stream Editor, you can quickly accomplish many common tasks.

To do this… | Use this keyboard shortcut…
Display context-sensitive Help. | F1
Move forward through options. | TAB
Move backward through options. | SHIFT+TAB
Scroll up one item in a list. | UP ARROW
Scroll down one item in a list. | DOWN ARROW
Jump to the top of a list. | PAGE UP
Jump to the bottom of a list. | PAGE DOWN
Dismiss a dialog box (Cancel). | ESC
Carry out the command for the active option or button. | ENTER
Select or clear the selection of an item. | SPACEBAR
Display context menu. | Application Key
Switch to High Contrast mode. | LEFT ALT+LEFT SHIFT+PRINT SCREEN

Related topics

  • Accessibility for people with disabilities


Accessibility features in Windows Media Stream Editor Help

Windows Media Stream Editor Help includes features that make it accessible to a wider range of users, including those who have limited dexterity, low vision, or other disabilities.

Related topics

  • Accessibility for people with disabilities


Keyboard shortcuts for using the Help window

By using the following keyboard shortcuts in Help, you can quickly accomplish many common tasks.

To do this… | Use this keyboard shortcut…
Display the Help window. | F1
Switch between the Help topic and the Contents, Search, and Index tabs. | F6
Select the next hidden text or hyperlink. | TAB
Select the previous hidden text or hyperlink. | SHIFT+TAB
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink. | ENTER
Display the Options menu to access any Help toolbar command. | ALT+O
Hide or show the pane containing the Contents, Search, and Index tabs. | ALT+O, and then press T
Display the previously viewed topic | ALT+O, and then press B
Display the next topic in a previously displayed sequence of topics. | ALT+O, and then press F
Return to the specified home page. | ALT+O, and then press H
Stop the Help window from opening a Help topic (useful if you want to stop a Web page from downloading). | ALT+O, and then press S
Open the Internet Options dialog box for Microsoft Internet Explorer, where you can change accessibility settings. | ALT+O, and then press I
Refresh the topic (useful if you have linked to a Web page). | ALT+O, and then press R
Print all topics in a book or a selected topic only. | ALT+O, and then press P
Close the Help window. | ALT+F4

Related topics

  • Accessibility features in Windows Media Stream Editor Help


To change the appearance of a Help topic

  1. To customize the colors, font styles, and font sizes used in Help, open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. Select Ignore colors specified on Web pages, Ignore font styles specified on Web pages, and Ignore font sizes specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To change the colors used in Help, see To change the color of the background or text in Help. To change the font, see To change the font in Help.

Related topics

  • Accessibility features in Windows Media Stream Editor Help


To change the color of the background or text in Help

  1. Open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. Then select Ignore colors specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To customize the colors used in Help, on the General tab, click Colors. Clear the Use Windows Colors check box, and then select the font and background colors you want to use.

Note image Note

  • If you change the background color of the Help topics in the Help window, the change also affects the background color when you view a Web page in Microsoft Internet Explorer.

Related topics

  • Accessibility features in Windows Media Stream Editor Help


To change the font in Help

  1. Open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. To use the same settings as those used in your instance of Microsoft Internet Explorer, select Ignore font styles specified on Web pages and Ignore font sizes specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To customize the font style used in Help, on the General tab, click Fonts, and then click the font style you want.

Note image Note

  • If you change the font of the Help topics in the Help window, the change also affects the font when you view a Web page in Microsoft Internet Explorer.

Related topics

  • Accessibility features in Windows Media Stream Editor Help


Accessible products and services from Microsoft

The following topics provide information about the features, products, and services that make this Microsoft product more accessible for people with disabilities:

  • Accessibility in Microsoft Windows
  • Adjusting Microsoft products for people with accessibility needs
  • Free step-by-step tutorials
  • Microsoft documentation in alternative formats
  • Assistive technology for Windows
  • Customer service for people who are deaf or hard-of-hearing
  • Getting more accessibility information

Note image Note

  • The information in this section applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the type of products and services described in this section are available in your area. Accessibility is available in other select languages, including Japanese and French. For more information, see the Microsoft Web site.

Related topics

  • Accessibility for people with disabilities


Accessibility in Microsoft Windows

Many accessibility features have been built into Microsoft Windows, starting with the introduction of Windows 95. These features are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing. The features can be installed during setup. For more information about the various accessibility features of Microsoft Products, such as Microsoft Windows XP Professional, Windows XP Home Edition, Windows Millennium Edition, Windows 2000, Windows 98, and Windows 95, see the Microsoft Web site.

Related topics

  • Accessible products and services from Microsoft


Adjusting Microsoft products for people with accessibility needs

Accessibility options and features are built into many Microsoft products, including the Windows operating system. Accessibility options and features are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing.

Related topics

  • Accessible products and services from Microsoft


Free step-by-step tutorials

Microsoft offers a series of step-by-step tutorials to help you learn how to adjust the accessibility options and settings on your computer. The tutorials provide detailed procedures on how to adjust options, features, and settings to meet the needs of people with disabilities and accessibility needs. This information is presented in a side-by-side format so that you can see at a glance how to use the mouse, the keyboard, or a combination of both.

To find step-by-step tutorials for Microsoft products, see the Accessibility section of the Microsoft Web site.

Related topics

  • Accessible products and services from Microsoft


Microsoft documentation in alternative formats

In addition to the standard formats, documentation for many Microsoft products is available in other formats to make it more accessible. If you have difficulty reading or handling printed materials, you can obtain the documentation for many Microsoft products in other, more accessible formats. You can download many of these books from the Microsoft Web site.

Microsoft produces an index of accessible documentation on the Accessibility section of the Microsoft Web site.

In addition, you can obtain additional Microsoft publications from Recording for the Blind & Dyslexic, Inc. These documents are distributed to registered, eligible members of their distribution service on audiocassettes or on floppy disks. The collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press. For information about eligibility and availability of Microsoft product documentation and books from Microsoft Press, contact:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540

Phone from within the United States: (800) 221-4792
Phone from outside the United States and Canada: (609) 452-0606
Fax: (609) 987-8116

Recording for the Blind & Dyslexic Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.

Related topics

  • Accessible products and services from Microsoft


Assistive technology for Windows

A wide variety of accessibility aids, or assistive technology products, are available to make computers easier to use for people with disabilities.

Microsoft provides a searchable catalog of accessibility aids that run on Microsoft Windows operating systems at the Accessibility section of the Microsoft Web site.

Among the different types of products available for the MS-DOS, Windows, and Windows NT operating systems are:

  • Programs that enlarge the information displayed or alter the color of information on the screen for people with visual impairments.
  • Programs that describe information on the screen in Braille or synthesized speech for people who are blind or have difficulty reading.
  • Hardware and software utilities that modify the behavior of the mouse and keyboard.
  • Programs that enable people to type by using a mouse or their voice.
  • Word or phrase prediction software that enable users to type more quickly and with fewer keystrokes.
  • Alternative input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard.

Upgrading

If you use assistive technology, before you upgrade either your software or hardware, be sure to contact your assistive technology vendor to check compatibility with products on your computer. Your assistive technology vendor can also help you learn how to adjust your settings to optimize compatibility with your version of Windows or other Microsoft products.


Customer service for people who are deaf or hard-of-hearing

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TTY/TDD) service.

Customer service

You can contact Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 AM and 5:30 PM Pacific time, Monday through Friday, excluding holidays.

Technical assistance

For technical assistance in the United States, you can contact Microsoft Product Support Services on a text telephone at (800) 892-5234 between 6:00 AM and 6:00 PM Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 AM and 8:00 PM Eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to the prices, terms, and conditions in place at the time the service is used.

Related topics

  • Accessible products and services from Microsoft


Getting more accessibility information

The Accessibility section of the Microsoft Web site provides information about accessible technology to help improve the lives of people with disabilities by making computers a positive force in employment, education, and recreation. The information on this site benefits people with disabilities and their friends and family members, people in outreach organizations, educators, and advocates.

A free monthly newsletter is offered through e-mail to help you keep up to date with accessibility topics about Microsoft products at the Accessibility section of the Microsoft Web site.

Related topics

  • Accessible products and services from Microsoft


Glossary

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

You can also read glossary terms within the text of Help by clicking the underlined glossary term links. After you click a glossary link, the glossary term and definition appear in a pop-up window. To close the window, click anywhere on the screen.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

Symbols

.prx

The file name extension of a profile.

.weu

The file name extension of a configuration file used by Windows Media Encoding Script.

.wma

The file name extension of an audio file in Windows Media Format. The audio content of the file is encoded with the Windows Media Audio codec.

.wme

The file name extension for a Windows Media Encoder session file.

.wmv

The file name extension of a video file in Windows Media Format.

Back to Top

A

aspect ratio

The ratio of the width of an image to its height.

Audio Video Interleaved (AVI)

A multimedia file format for storing sound and moving pictures in RIFF format.

AVI

See definition for: Audio Video Interleaved (AVI)

Back to Top

B

bandwidth

A network's capacity for transferring an amount of data in a given time.

bit rate

The number of bits transferred per second.

Back to Top

C

caption

Text that accompanies images or videos, either as a supplemental description or a transcript of spoken words.

CBR

See definition for: constant bit rate (CBR)

codec

An abbreviation for compressor/decompressor. Software or hardware used to compress and decompress digital media.

compression

A process for removing redundant data from a digital media file or stream to reduce its size or the bandwidth used.

configuration file

A text file used by Windows Media Encoding Script that specifies the content to be encoded and the command-line options to be invoked.

constant bit rate (CBR)

A characteristic of a data stream in which the bit rate remains nearly uniform for the duration of the stream.

See also: variable bit rate (VBR)

content

Audio, video, images, text, or any other information that is contained in a digital media file or stream.

Back to Top

D

deinterlace

To combine the interlaced fields in a video frame so that, during playback, the lines of the video frame are painted sequentially.

See also: interlace

delta frame

A video frame that contains only the changes from the previous frame. In contrast, a key frame contains all the data necessary to construct that frame.

Back to Top

E

encode

To convert audio and video content to a specified digital format.

Back to Top

F

frame rate

The number of video frames displayed per second. Higher frame rates generally produce smoother movement in the picture.

Back to Top

I

ICM

See definition for: Image Compression Manager (ICM)

IEEE 1394

See definition for: Institute of Electrical and Electronics Engineers (IEEE) 1394

Institute of Electrical and Electronics Engineers (IEEE) 1394

A high-speed serial bus standard that provides enhanced computer connectivity for a wide range of devices, including consumer electronics audio/video (A/V) appliances, storage peripherals, other computers, and portable devices.

intelligent streaming

A type of streaming that detects network conditions and adjusts the properties of a video or audio stream to maximize quality.

interlace

To display a video frame in two fields. One field contains the even lines of the frame, the other field contains the odd lines. During playback, the lines in one field are displayed first, then the lines in the second field are displayed.

inverse telecine

The process that removes the frames that were added when 24-fps film was converted to 30-fps video.

Back to Top

K

key frame

A frame of video data that contains all the data necessary to construct that frame. In contrast, delta frames contain data relating to changes from the last key frame, and do not contain enough information to construct a complete frame.

Back to Top

L

looping

In Windows Media Encoder, repeatedly playing a file until all content is encoded. For example, an audio track can be looped while a video file is being encoded.

lossless compression

Data compression techniques in which no data is lost.

lossy compression

Data compression techniques in which some amount of data is lost. Lossy compression technologies attempt to eliminate redundant or unnecessary information. Reducing the file size of an image in this way can degrade the quality of the image.

Back to Top

M

marker

A pointer to a specific place, measured in time, in a Windows Media file. Windows Media Player uses markers to go directly to a point in the file. Markers enable viewers to skip ahead or skip back to a marker in order to see a particular part of the file again.

MBR

See definition for: multiple bit rate (MBR)

metadata

Data about data. For example, the title, subject, author, and size of a file constitute the file's metadata.

Microsoft MPEG-4 version 3 codec

A video codec included with Microsoft Windows Media Encoder.

multicast

A method of distributing content in which multiple clients share a stream from a server.

multiple bit rate (MBR)

Describes a file or stream that contains the same content encoded at several different bit rates. As network traffic changes, a server running Windows Media Services can switch to a lower or higher bit rate to optimize content delivery.

Back to Top

N

National Television Standards Committee (NTSC)

A standards body that is responsible for setting television and video standards in the United States. The NTSC standard for television defines a composite video signal with a refresh rate of 60 half-frames (interlaced) per second. Each frame contains 525 lines and can contain 16 million different colors. Formerly the National Television Systems Committee.

NTFS

An advanced file system designed for use specifically within the Windows 2000 operating system. It supports file system recovery, extremely large storage media, and long file names. It also supports object-oriented applications by treating all files as objects with user-defined and system-defined attributes.

NTSC

See definition for: National Television Standards Committee (NTSC)

Back to Top

O

one-pass encoding

The ability to pass content through the encoder once. Compression is applied as the content is encountered.

Back to Top

P

PAL

See definition for: Phase Alternating Line (PAL)

PCM

See definition for: Pulse Code Modulation (PCM)

Phase Alternating Line (PAL)

The dominant television standard in Europe. Whereas the NTSC, the U.S. standard, delivers 525 lines of resolution at 60 half-frames per second, PAL delivers 625 lines at 50 half-frames per second.

pixel format

The color depth of an image, usually measured in RGB or YUV.

postroll

To extend the amount of encoded video by a specified number of frames.

preroll

To queue video by a specified number of frames so that the source tape is stabilized before encoding begins.

profile

A predefined group of settings that match content type and bit rate with appropriate audio and video codecs.

Profile Editor

A tool provided with Windows Media Encoder that creates and edits the encoding profiles needed to identify the appropriate codec, the multimedia input streams, and the number and bit rate of the encoded output streams.

publishing point

An organized memory location that translates a client request for content into the physical path on the server hosting the content. A publishing point essentially acts as a redirector.

Pulse Code Modulation (PCM)

A sampling technique for digitizing analog signals, especially audio signals. When you encode audio by using PCM, no compression is applied.

Back to Top

R

RGB

A color model that describes color information in terms of the red (R), green (G), and blue (B) intensities that make up the color.

Back to Top

S

sampling rate

The frequency at which audio or video is sampled, or recorded, into a digital format. Each sample represents the audio or video signal at a particular moment in time. The higher the sampling rate (that is, the more samples taken per unit of time), the more closely the digitized result resembles the original.

script commands

Software instructions that can be included with an encoded stream. Windows Media Player passes script commands to a device or software that interprets them. Script commands are used for such tasks as calling specific files or navigating to a specific Web site.

source

Content that you can encode. Source audio and video content can be captured and encoded from devices installed on your computer or from a file.

startup latency

The time it takes for the encoder, SDK reader, or other devices to start before encoding begins. Startup latency prevents the cutting of frames at the mark-in point.

stream

Data transmitted across a network and any properties associated with the data. Streaming digital data enables clients to begin rendering the data immediately instead of waiting for the entire file to be received.

stream format file

A file used by a player to decode a multicast stream. A stream format file includes information about the stream, the digital media content, and its associated codec.

Back to Top

T

target bandwidth

The number of bits that are transferred to users based on their network connection speeds.

telecine

The film-to-video conversion system that adds frames to video to compensate for the differences in frame rates between film and video. When converting 24 fps film to 30 fps NTSC video, an additional 6 frames per second are added.

transcode

To encode content that is already in Windows Media format, but at a different bit rate.

two-pass encoding

The ability to pass content through the encoder twice. During the first pass, the encoder analyzes the content. During the second pass the encoder applies the appropriate levels of compression, based on the complexity of the material, as determined during the first pass.

Back to Top

U

UDP

See definition for: User Datagram Protocol (UDP)

UNC

See definition for: Universal Naming Convention (UNC)

unicast

A method of providing content in which each client receives a unique stream from a server; no other client has access to the stream.

Universal Naming Convention (UNC)

The system of naming files among computers on a network so that a file on a specified computer has the same path when accessed from any of the other computers on the network. For example, if the directory C:\Path1\Path2\...Pathn on computer Servern is shared under the name Pathdirs, a user on another computer must open \\Servern\Pathdirs\Filename.ext to access the file C:\Path1\Path2\...Pathn\Filename.ext on Servern.

User Datagram Protocol (UDP)

A connectionless transport protocol in the TCP/IP protocol stack that, like TCP, runs on top of IP networks.

Back to Top

V

variable bit rate (VBR)

A characteristic of a data stream in which the bit rate fluctuates, depending upon the complexity of the data.

VBR

See definition for: variable bit rate (VBR)

Back to Top

W

Windows Media Audio codec

A codec used to compress and decompress audio streams.

Windows Media file

A file containing audio, video, or script data that is stored in Windows Media Format. Depending on their content and purpose, Windows Media files use a variety of file name extensions, such as: .wma, .wme, .wms, .wmv, .wmx, .wmz, or .wvx.

Windows Media Format

The format used by Microsoft Windows Media Technologies (or a third-party product that incorporates a licensed Windows Media technology) to author, store, edit, distribute, stream, or play timeline-based content.

Windows Media metafile

In Windows Media Technologies, a file that provides information about Windows Media files and their presentation. File name extensions for Windows Media metafiles include .asx, .wax, .wvx, .wmx, and .nsc.

Windows Media Screen codec

A codec used to compress and decompress sequences of screen images.

Windows Media Speech codec

A codec used to compress and decompress audio streams with an emphasis on speech.

Windows Media Video codec

A codec used to compress and decompress video streams.

Back to Top

Y

YUV

A color model that describes color information in terms of luminance (Y) and chrominance (U, V).

Back to Top


Legal Notice

This is a preliminary document and may be changed substantially prior to final commercial release. This document is provided for informational purposes only and Microsoft makes no warranties, either express or implied, in this document. Information in this document, including URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results of the use of this document remains with the user. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, places or events is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2002 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows Media, Windows NT, ActiveSync, ActiveX, Direct3D, DirectDraw, DirectInput, DirectMusic, DirectPlay, DirectShow, DirectSound, DirectX, FrontPage, JScript, Microsoft Press, MSN, NetShow, Outlook, PowerPoint, Visual Basic, Visual C++, Visual InterDev, Visual J++, Visual Studio, WebTV, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.